Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157210 - Saving cluster config file does not create backup copy of the cluster config file
Summary: Saving cluster config file does not create backup copy of the cluster config ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: redhat-config-cluster
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-09 14:14 UTC by Paul Kennedy
Modified: 2015-04-20 00:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-11 20:31:28 UTC


Attachments (Terms of Use)

Description Paul Kennedy 2005-05-09 14:14:32 UTC
Description of problem:
Cluster Configuration does not automatically create a backup copy of the cluster
configuration file (/etc/cluster/cluster.conf) when the cluster configuration
file is saved. Not automatically creating a backup copy of the cluster
configuration file limits a user's ability to restore to an earlier cluster
configuration in case of a configuration error. For example, refer to the RHCS3
admin documentation:
http://www.redhat.com/docs/manuals/enterprise/RHEL-3-Manual/cluster-suite/s1-admin-backup.html


Version-Release number of selected component (if applicable):
system-config-cluster 0.9.48 

How reproducible:
Change configuration, save configuration file, and propagate the configuration.
Then at the node where the configuration file was modified, search for a backup
file with a file name extension of .bak. None is found.

Comment 1 Stanko Kupcevic 2005-05-09 15:24:23 UTC
Fixed in 0.9.49

Comment 2 Corey Marthaler 2005-05-11 20:31:28 UTC
fix verified.


Note You need to log in before you can comment on or make changes to this bug.